# Favorite single line of code

What's your favorite JavaScript single LOC (line of code)? Let me know!


## Running it on local

1. Clone the project:

~~~ console
$ git clone https://github.com/phuoc-ng/1loc
~~~

2. Install the dependencies:

~~~ console
$ cd 1loc
$ npm install
~~~

3. Run it on the local:

~~~
$ npm run dev-server
~~~

Open http://localhost:1234 in your browser to see it in action.

## Contributing

Pull requests are welcomed. To submit your favorite JavaScript single line of code, please create a markdown file, and put it in
a particular category of the collections folder.

## About

This project is developed by _Nguyen Huu Phuoc_. I love building products and sharing knowledge.

Be my friend on
* [Twitter](https://twitter.com/nghuuphuoc)
* [dev.to](https://dev.to/phuocng)
* [Github](https://github.com/phuoc-ng)

## Products

You might be interested in my products:

| Product                                               | Description                                                       |
|-------------------------------------------------------|-------------------------------------------------------------------|
| 01. [1 LOC](https://1loc.dev)                         | Favorite JavaScript utilities in single line of code              |
| 02. [Blur Page](https://blur.page)                    | A browser extension to hide sensitive information on a web page   |
| 03. [CSS Layout](https://csslayout.io)                | A collection of popular layouts and patterns made with CSS        |
| 04. [Fake Numbers](https://fakenumbers.io)            | Generate fake and valid numbers                                   |
| 05. [Form Validation](https://formvalidation.io)      | The best validation library for JavaScript                        |
| 06. [HTML DOM](https://htmldom.dev)                   | How to manage HTML DOM with vanilla JavaScript                    |
| 07. [React PDF Viewer](https://react-pdf-viewer.dev)  | A React component to view a PDF document                          |
